#include <sta/debug/printing/printable_printf.hpp>
#include <sta/debug/assert.hpp>

#include <cstdio>

namespace sta
{
    PrintablePrintf::PrintablePrintf()
    {

    }

    void PrintablePrintf::print(const char * str, size_t length)
    {
        STA_ASSERT(str != nullptr);
        STA_ASSERT(length > 0);

        printf("%.*s", length, str);
    }
} // namespace sta
